# set upstream name variable
%global srcname poezio_omemo


Name:           poezio-omemo
Version:        0.3.0
Release:        1%{?dist}
Summary:        OMEMO plugin for the Poezio XMPP client

License:        GPLv3
URL:            https://lab.louiz.org/poezio/poezio-omemo
Source0:        https://lab.louiz.org/poezio/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  python3-devel
#BuildRequires:  python3-pytest

%description
This plugin provides OMEMO support for Poezio client.

OMEMO is an extension of the XMPP protocol defined as XEP-0384. It
provides multi-end to multi-end encryption, allowing messages to be
synchronized securely across multiple clients, even if some of them
are offline.



%prep
%autosetup -n %{name}-v%{version}


%build
%py3_build


%install
%py3_install


%check
# no tests to run with pytest



%files
%license LICENSE
%doc README.rst ChangeLog CONTRIBUTING.rst
# For noarch packages: sitelib
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/



%changelog
* Tue Mar 23 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.0-1
- Initial package
